rte_udp_hdr(3)

NAME
rte_udp_hdr

SYNOPSIS

#include <rte_udp.h>

  Data Fields

rte_be16_t src_port
rte_be16_t dst_port
rte_be16_t dgram_len
rte_be16_t dgram_cksum

Detailed Description

UDP Header

Definition at line 24 of file rte_udp.h.

Field Documentation

  rte_be16_t src_port
UDP source port.

Definition at line 25 of file rte_udp.h.

  rte_be16_t dst_port
UDP destination port.

Definition at line 26 of file rte_udp.h.

  rte_be16_t dgram_len
UDP datagram length

Definition at line 27 of file rte_udp.h.

  rte_be16_t dgram_cksum
UDP datagram checksum

Definition at line 28 of file rte_udp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.